import 'package:flutter/material.dart';
import 'package:go_router/go_router.dart';
import 'package:gap/gap.dart';
import 'package:pharmacy_mobile/widgets/button_widget.dart';
import 'package:pharmacy_mobile/widgets/image_widget.dart';
import 'package:pharmacy_mobile/widgets/logo_widget.dart';
import 'package:pharmacy_mobile/widgets/page_background_widget.dart';
import 'package:pharmacy_mobile/widgets/slogan_widget.dart';
import 'package:pharmacy_mobile/widgets/text_widget.dart';
import 'package:pharmacy_mobile/widgets/title_widget.dart';

class IndexPage extends StatelessWidget {
  const IndexPage({super.key});

  @override
  Widget build(BuildContext context) {
    void gotoLogin() {
      context.push('/login');
    }

    void gotoRegister() {
      context.push('/register');
    }

    return Scaffold(
        resizeToAvoidBottomInset: false,
        body: PageBackgroundWidget(
          child: Column(
            children: [
              const Gap(88),
              const TitleWidget(
                firstTextSize: 24,
                secondTextSize: 40,
                logoSize: 124,
              ),
              const Gap(32),
              Padding(
                padding: const EdgeInsets.fromLTRB(0, 0, 38, 0),
                child: const ImageWidget(imagePath: 'assets/ph_logo.webp', size: 192, measureByHeight: false),
              ),
              const Gap(64),
              ButtonWidget(text: 'Login', onPressed: gotoLogin),
              const Gap(8),
              ButtonWidget(text: 'Register', onPressed: gotoRegister, outline: true),
              const Gap(32),
              const SloganWidget(),
              const Gap(32),
              const MaxGap(500),
              const Row(
                mainAxisAlignment: MainAxisAlignment.center,
                children: [
                  TextWidget(
                    text: 'Copyright © 2025 -',
                    size: 10,
                    bold: true,
                  ),
                  Gap(4),
                  LogoWidget(size: 28),
                  Gap(4),
                  TextWidget(
                    text: 'Ofelia Franco-Alcala Pharmacy',
                    size: 10,
                    bold: true,
                  ),
                ],
              ),
              const Row(
                mainAxisAlignment: MainAxisAlignment.center,
                children: [
                  TextWidget(
                    text: 'Developed By:',
                    size: 8,
                    opacity: 0.8,
                  ),
                  Gap(4),
                  ImageWidget(
                    imagePath: 'assets/pat-alcala_logo.webp',
                    size: 16,
                    measureByHeight: true,
                  ),
                  Gap(4),
                  TextWidget(
                    text: 'Pat Alcala',
                    size: 8,
                    opacity: 0.8,
                  ),
                ],
              )
            ],
          ),
        ));
  }
}
